Skip to main content
GET
/
v1
/
algo
/
order
/
{order_id}
Get algo order by order_id
curl --request GET \
  --url https://api.orderly.org/v1/algo/order/{order_id} \
  --header 'orderly-account-id: <orderly-account-id>' \
  --header 'orderly-key: <orderly-key>' \
  --header 'orderly-signature: <orderly-signature>' \
  --header 'orderly-timestamp: <orderly-timestamp>'
{
  "success": true,
  "data": {
    "algo_order_id": 168400010,
    "algo_status": "NEW",
    "algo_type": "STOP",
    "fee_asset": "USDC",
    "is_triggered": "false",
    "order_tag": "test_tag",
    "parent_algo_order_id": 0,
    "quantity": 5.5,
    "root_algo_order_id": 168400010,
    "root_algo_order_status": "NEW",
    "side": "BUY",
    "symbol": "PERP_NEAR_USDC",
    "total_executed_quantity": 0,
    "total_fee": 0,
    "trigger_price": 2.5,
    "trigger_price_type": "MARK_PRICE",
    "type": "MARKET",
    "created_time": 1702871974317,
    "updated_time": 1702871974317,
    "visible_quantity": 5.5,
    "margin_mode": "CROSS",
    "executed_quantity": 0,
    "realized_pnl": 0,
    "child_orders": [
      {}
    ]
  },
  "timestamp": 1702989203989
}

Headers

orderly-timestamp
string
required

Timestamp of the signed request in milliseconds.

orderly-account-id
string
required

Account ID of the authenticated account.

orderly-key
string
required

Public orderly key used to sign the request.

orderly-signature
string
required

Signature of the request payload generated with the orderly key.

Path Parameters

order_id
string
required

id of the order

Response

200 - application/json

OK

success
boolean
required

Indicates whether the request was successful.

Example:

true

data
object
required
timestamp
integer

Server timestamp in milliseconds.

Example:

1702989203989